Arrêt de Python 3.4 pour l'environnement flexible

L'environnement d'exécution Python 3.4 pour l'environnement flexible App Engine sera arrêté le 29 mars 2019. Après cette date, vous ne pourrez pas effectuer de nouveaux déploiements nécessitant la version 3.4 de Python dans l'environnement flexible App Engine.

Vous devez mettre à jour Python vers une version plus récente avant le 29 mars 2019. Vous éviterez ainsi les risques de sécurité liés à la fin de vie de Python  3.4 par la communauté du langage Python.

Migrer vers une nouvelle version de Python

Pour migrer vers une version plus récente de Python, procédez comme suit :

  1. Exécutez la commande gcloud pour mettre à jour le SDK Cloud avec les dernières mises à jour :

    gcloud components update
  2. Mettez à jour le fichier app.yaml pour toutes les versions de votre application de la manière suivante :

    runtime_config:
      python_version: 3
    

    3 signifie que vous utilisez la dernière version disponible de Python. Spécifiez la valeur 3.5 pour utiliser Python 3.5.5 ou 3.6 pour utiliser Python 3.6.4.

  3. Consultez la documentation Python pour connaître les modifications de code requises. Les pages Nouveautés dans Python 3.5 et Nouveautés dans Python 3.6 présentent les modifications apportées à chacune de ces nouvelles versions.

  4. Déployez votre application. Cette opération est nécessaire pour détecter les modifications récentes.

Où obtenir de l'aide

Si vous rencontrez des problèmes lors de la migration de votre application et si vous disposez d'une formule d'assistance, vous pouvez obtenir de l'aide via votre canal d'assistance habituel. Si vous ne disposez pas d'une formule d'assistance, répondez à l'e-mail d'information reçu concernant l'abandon de Python 3.4.

Cette page vous a-t-elle été utile ? Évaluez-la :

Envoyer des commentaires concernant…

Documentation App Engine